コンテンツへスキップ

Catalog API (2.0.0)

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI記述をダウンロード
言語
サーバー
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ja/api/catalog/
操作
操作
操作
操作

ゲームリストを取得Client-side

リクエスト

Gets a games list for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
セキュリティ
XsollaLoginUserJWT
パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
クエリ
limitinteger>= 1

ページでの要素数の制限。

例: limit=50
offsetinteger>= 0

リストが生成される要素番号(カウントは0から始まります)。

例: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストの中で送信すると、応答に含まれます。

アイテム 列挙型"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

ISO 3166-1 alpha-2に従った2文字の大文字の国名コード。エクソーラがサポートする国国を決定するプロセスに関する詳細情報については、ドキュメントを確認してください。

例: country=US
promo_codestring[ 1 .. 128 ] characters

大文字と小文字を区別する一意のコードです。文字と数字が含まれます。

例: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

ユーザーに利用可能でない、期限付きアイテムを表示します。このようなアイテムの有効期間はまだ開始されていないか、すでに期限切れです。

デフォルト 0
例: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/game?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

レスポンス

ゲームのリストは正常に受信されました。

ボディapplication/json
has_moreboolean(Pagination_has-more)

ページ数がもっとあることを示す指標として使用されます。

itemsArray of objects
例: [{"attributes":[{"external_id":"genre","name":"Genre","values":[{"external_id":"23fda05111c125608af8f1fa0e99db45a10ea1cc","value":"Horror"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","promotions":[],"sku":"com.xsolla.game_1","type":"unit","unit_items":[{"can_be_bought":true,"drm_name":"Steam","drm_sku":"steam_key_1","has_keys":true,"is_free":false,"is_pre_order":true,"periods":[{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}],"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"promotions":[],"release_date":"2020-08-11T10:00:00+03:00","sku":"com.xsolla.game_key_01","type":"game_key","virtual_prices":[]},{"can_be_bought":true,"drm_name":"Origin","drm_sku":"origin_key_1","has_keys":false,"is_free":false,"is_pre_order":false,"periods":[],"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"promotions":[],"release_date":null,"sku":"com.xsolla.game_key_02","type":"game_key","virtual_prices":[]}],"unit_type":"game"},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","promotions":[],"sku":"com.xsolla.game_2","type":"unit","unit_items":[{"can_be_bought":true,"drm_name":"Steam","drm_sku":"steam_key_2","has_keys":false,"is_free":false,"is_pre_order":false,"periods":[{"date_from":null,"date_until":"2020-08-11T20:00:00+03:00"}],"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"promotions":[],"release_date":null,"sku":"com.xsolla.game_key_01","type":"game_key","virtual_prices":[]}],"unit_type":"game"}]
items[].​attributesArray of objects(Game-Keys_schemas-client-attributes)

アイテムに対応する属性と値のリスト。カタログのフィルタリングに使用できます。

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

items[].​attributes[].​namestring

属性名。

例: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性の一意の値ID。external_idには、英小文字、ダッシュ、およびアンダースコアのみが含まれます。

items[].​attributes[].​values[].​valuestring

属性値。

例: "Strategy"
items[].​descriptionstring

アイテムの説明。

例: "Game description"
items[].​groupsArray of objects(items_client_groups_response)

アイテムが所属するグループ。

items[].​groups[].​external_idstring

このグループの一意の識別子。通常、APIリクエストや外部システムでの参照に使用されます。

例: "exclusive"
items[].​groups[].​item_order_in_groupinteger

グループ内でのアイテムの位置。表示順を決定するために使用されます。 このフィールドは、additional_fields[]クエリパラメータでリクエストされた場合にのみ、応答に含まれます。

例: 1
items[].​groups[].​namestring

グループ名。

例: "Exclusive"
items[].​image_urlstring

画像URL。

例: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
items[].​namestring

アイテム名。

例: "Game name"
items[].​promotionsArray of objects(Catalog_item_promotions)

カート内の特定アイテムに適用されるプロモーション。この配列は、以下のケースで返されます:

  • 特定のアイテムに対して、割引キャンペーンが構成されている場合。

  • 選択されたアイテムの割引設定を持つプロモーションコードが適用された場合。

アイテムレベルのプロモーションが適用されない場合は、空の配列が返されます。

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

ボーナスバンドルアイテムタイプ。ボーナスアイテムタイプbundleのみで利用可能です。

列挙型"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

ボーナスアイテムの画像URLです。ボーナスアイテムのタイプ physical_good では使用できません。ー

items[].​promotions[].​bonus[].​namestring

ボーナスアイテムの名前です。ボーナスアイテムのタイプphysical_goodでは使用できません。

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

ボーナスアイテムタイプ。

列挙型"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "game_01"
items[].​typestring

アイテムタイプ:virtual_good/virtual_currency/bundle/physical_good/unit

例: "unit"
items[].​unit_itemsArray of objects
items[].​unit_items[].​can_be_boughtboolean(Can_be_bought)

trueの場合、ユーザーはアイテムを購入することができます。

items[].​unit_items[].​drm_namestring

DRM名。

例: "Steam"
items[].​unit_items[].​drm_skustring

一意のDRM ID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "steam"
items[].​unit_items[].​has_keysboolean

trueの場合、ゲームキーに販売用のキーがあります。

例: false
items[].​unit_items[].​is_freeboolean(value-is_free)

アイテムが無料かどうか。

items[].​unit_items[].​is_pre_orderboolean

trueの場合、ゲームキーは先行予約で、まだ発売されていません。

例: true
items[].​unit_items[].​periodsArray of objects or null(item-periods)

アイテム販売期間。

items[].​unit_items[].​periods[].​date_fromstring(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
items[].​unit_items[].​periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
items[].​unit_items[].​priceobject

アイテム価格。

items[].​unit_items[].​price.​amountstring

割引後のアイテム価格。

例: "2.9900"
items[].​unit_items[].​price.​amount_without_discountstring

アイテム価格。

例: "2.9900"
items[].​unit_items[].​price.​currencystring

商品価格通貨。ISO 4217 による3文字コード。

例: "USD"
items[].​unit_items[].​promotionsArray of objects(Catalog_item_promotions)

カート内の特定アイテムに適用されるプロモーション。この配列は、以下のケースで返されます:

  • 特定のアイテムに対して、割引キャンペーンが構成されている場合。

  • 選択されたアイテムの割引設定を持つプロモーションコードが適用された場合。

アイテムレベルのプロモーションが適用されない場合は、空の配列が返されます。

items[].​unit_items[].​promotions[].​bonusArray of objects
items[].​unit_items[].​promotions[].​bonus[].​bundle_typestring

ボーナスバンドルアイテムタイプ。ボーナスアイテムタイプbundleのみで利用可能です。

列挙型"standard""virtual_currency_package"
items[].​unit_items[].​promotions[].​bonus[].​image_urlstring

ボーナスアイテムの画像URLです。ボーナスアイテムのタイプ physical_good では使用できません。ー

items[].​unit_items[].​promotions[].​bonus[].​namestring

ボーナスアイテムの名前です。ボーナスアイテムのタイプphysical_goodでは使用できません。

items[].​unit_items[].​promotions[].​bonus[].​quantityinteger
items[].​unit_items[].​promotions[].​bonus[].​skustring
items[].​unit_items[].​promotions[].​bonus[].​typestring

ボーナスアイテムタイプ。

列挙型"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​unit_items[].​promotions[].​date_endstring or null(date-time)
items[].​unit_items[].​promotions[].​date_startstring or null(date-time)
items[].​unit_items[].​promotions[].​discountobject or null
items[].​unit_items[].​promotions[].​discount.​percentstring or null
items[].​unit_items[].​promotions[].​discount.​valuestring or null
items[].​unit_items[].​promotions[].​limitsobject
items[].​unit_items[].​promotions[].​limits.​per_userobject
items[].​unit_items[].​promotions[].​limits.​per_user.​availableinteger
items[].​unit_items[].​promotions[].​limits.​per_user.​totalinteger
items[].​unit_items[].​promotions[].​namestring
items[].​unit_items[].​release_datestring or null

ISO 8601形式でのゲームキーのリリース日。

例: "2020-08-11T10:00:00+03:00"
items[].​unit_items[].​skustring

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "game_01"
items[].​unit_items[].​typestring

アイテムタイプ:game_key

例: "game_key"
items[].​unit_items[].​virtual_pricesArray of objects

仮想価格。

items[].​unit_items[].​virtual_prices[].​amountinteger

仮想通貨での割引アイテム価格。

例: 100
items[].​unit_items[].​virtual_prices[].​amount_without_discountinteger

アイテム価格。

例: 200
items[].​unit_items[].​virtual_prices[].​descriptionstring

仮想通貨の説明。

例: "Big Rocket - description"
items[].​unit_items[].​virtual_prices[].​image_urlstring

仮想通貨のイメージ。

例: "http://image.png"
items[].​unit_items[].​virtual_prices[].​is_defaultboolean

アイテムの価格をデフォルトにするかどうか。

例: true
items[].​unit_items[].​virtual_prices[].​namestring

仮想通貨名。

例: "SHOTGUN FOR TRUE RAIDERS"
items[].​unit_items[].​virtual_prices[].​skustring

仮想通貨アイテムSKU。

例: "vc_test"
items[].​unit_items[].​virtual_prices[].​typestring

仮想通貨のタイプ。

例: "virtual_currency"
items[].​unit_items[].​vp_rewardsArray of objects(client-item-value-point-reward)

バリューポイントアイテム報酬。

items[].​unit_items[].​vp_rewards[].​amountinteger(value-point-amount)

バリューポイントの量。

items[].​unit_items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

画像URL。

items[].​unit_items[].​vp_rewards[].​is_clanboolean(is_clan)

バリューポイントがクランリワードチェーンで使用されるかどうか。

items[].​unit_items[].​vp_rewards[].​item_idinteger(item_id)

内部の一意のアイテムID。

items[].​unit_items[].​vp_rewards[].​namestring(value-point-name)

バリューポイント名。

items[].​unit_items[].​vp_rewards[].​skustring(value-point-sku)

一意のバリューポイントID。

items[].​unit_typestring

ユニットタイプ:game

例: "game"
レスポンス
application/json
{ "has_more": false, "items": [ {}, {} ] }

DRMリストを取得Client-side

リクエスト

利用可能なDRMのリストを取得します。

パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
curl -i -X GET \
  https://store.xsolla.com/api/v2/project/44056/items/game/drm

レスポンス

DRMのリストが正常に受信されました。

ボディapplication/json
drmArray of objects
例: [{"drm_id":1,"image":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","link":"https://support.steampowered.com","name":"Steam","redeem_instruction_link":"https://support.steampowered.com","sku":"steam_key_1"},{"drm_id":2,"image":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","link":null,"name":"Playstation","redeem_instruction_link":"https://support.us.playstation.com","sku":"playstation_key_1"}]
drm[].​drm_idnumber

DRM ID。

例: 1
drm[].​imagestring

画像URL。

例: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
drm[].​linkstring or null

引き換えのリンク。

例: "https://support.us.playstation.com"
drm[].​namestring

DRM名。

例: "Steam"
drm[].​redeem_instruction_linkstring

引き換えに関する説明のリンク。

例: "https://support.us.playstation.com"
drm[].​skustring

一意のDRM ID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "steam"
レスポンス
application/json
{ "drm": [ {}, {} ] }

指定されたグループによるゲームリストを取得Client-side

リクエスト

Gets a games list from the specified group for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
セキュリティ
XsollaLoginUserJWT
パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
external_idstring必須

External item group ID specified during creation.

例: weapons
クエリ
limitinteger>= 1

ページでの要素数の制限。

例: limit=50
offsetinteger>= 0

リストが生成される要素番号(カウントは0から始まります)。

例: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストの中で送信すると、応答に含まれます。

アイテム 列挙型"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

ISO 3166-1 alpha-2に従った2文字の大文字の国名コード。エクソーラがサポートする国国を決定するプロセスに関する詳細情報については、ドキュメントを確認してください。

例: country=US
promo_codestring[ 1 .. 128 ] characters

大文字と小文字を区別する一意のコードです。文字と数字が含まれます。

例: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

ユーザーに利用可能でない、期限付きアイテムを表示します。このようなアイテムの有効期間はまだ開始されていないか、すでに期限切れです。

デフォルト 0
例: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/game/group/weapons?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

レスポンス

ゲームのリストは正常に受信されました。

ボディapplication/json
has_moreboolean(Pagination_has-more)

ページ数がもっとあることを示す指標として使用されます。

itemsArray of objects
例: [{"attributes":[{"external_id":"genre","name":"Genre","values":[{"external_id":"23fda05111c125608af8f1fa0e99db45a10ea1cc","value":"Horror"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","promotions":[],"sku":"com.xsolla.game_1","type":"unit","unit_items":[{"can_be_bought":true,"drm_name":"Steam","drm_sku":"steam_key_1","has_keys":true,"is_free":false,"is_pre_order":true,"periods":[{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}],"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"promotions":[],"release_date":"2020-08-11T10:00:00+03:00","sku":"com.xsolla.game_key_01","type":"game_key","virtual_prices":[]},{"can_be_bought":true,"drm_name":"Origin","drm_sku":"origin_key_1","has_keys":false,"is_free":false,"is_pre_order":false,"periods":[],"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"promotions":[],"release_date":null,"sku":"com.xsolla.game_key_02","type":"game_key","virtual_prices":[]}],"unit_type":"game"},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","promotions":[],"sku":"com.xsolla.game_2","type":"unit","unit_items":[{"can_be_bought":true,"drm_name":"Steam","drm_sku":"steam_key_2","has_keys":false,"is_free":false,"is_pre_order":false,"periods":[{"date_from":null,"date_until":"2020-08-11T20:00:00+03:00"}],"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"promotions":[],"release_date":null,"sku":"com.xsolla.game_key_01","type":"game_key","virtual_prices":[]}],"unit_type":"game"}]
items[].​attributesArray of objects(Game-Keys_schemas-client-attributes)

アイテムに対応する属性と値のリスト。カタログのフィルタリングに使用できます。

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

items[].​attributes[].​namestring

属性名。

例: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性の一意の値ID。external_idには、英小文字、ダッシュ、およびアンダースコアのみが含まれます。

items[].​attributes[].​values[].​valuestring

属性値。

例: "Strategy"
items[].​descriptionstring

アイテムの説明。

例: "Game description"
items[].​groupsArray of objects(items_client_groups_response)

アイテムが所属するグループ。

items[].​groups[].​external_idstring

このグループの一意の識別子。通常、APIリクエストや外部システムでの参照に使用されます。

例: "exclusive"
items[].​groups[].​item_order_in_groupinteger

グループ内でのアイテムの位置。表示順を決定するために使用されます。 このフィールドは、additional_fields[]クエリパラメータでリクエストされた場合にのみ、応答に含まれます。

例: 1
items[].​groups[].​namestring

グループ名。

例: "Exclusive"
items[].​image_urlstring

画像URL。

例: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
items[].​namestring

アイテム名。

例: "Game name"
items[].​promotionsArray of objects(Catalog_item_promotions)

カート内の特定アイテムに適用されるプロモーション。この配列は、以下のケースで返されます:

  • 特定のアイテムに対して、割引キャンペーンが構成されている場合。

  • 選択されたアイテムの割引設定を持つプロモーションコードが適用された場合。

アイテムレベルのプロモーションが適用されない場合は、空の配列が返されます。

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

ボーナスバンドルアイテムタイプ。ボーナスアイテムタイプbundleのみで利用可能です。

列挙型"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

ボーナスアイテムの画像URLです。ボーナスアイテムのタイプ physical_good では使用できません。ー

items[].​promotions[].​bonus[].​namestring

ボーナスアイテムの名前です。ボーナスアイテムのタイプphysical_goodでは使用できません。

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

ボーナスアイテムタイプ。

列挙型"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "game_01"
items[].​typestring

アイテムタイプ:virtual_good/virtual_currency/bundle/physical_good/unit

例: "unit"
items[].​unit_itemsArray of objects
items[].​unit_items[].​can_be_boughtboolean(Can_be_bought)

trueの場合、ユーザーはアイテムを購入することができます。

items[].​unit_items[].​drm_namestring

DRM名。

例: "Steam"
items[].​unit_items[].​drm_skustring

一意のDRM ID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "steam"
items[].​unit_items[].​has_keysboolean

trueの場合、ゲームキーに販売用のキーがあります。

例: false
items[].​unit_items[].​is_freeboolean(value-is_free)

アイテムが無料かどうか。

items[].​unit_items[].​is_pre_orderboolean

trueの場合、ゲームキーは先行予約で、まだ発売されていません。

例: true
items[].​unit_items[].​periodsArray of objects or null(item-periods)

アイテム販売期間。

items[].​unit_items[].​periods[].​date_fromstring(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
items[].​unit_items[].​periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
items[].​unit_items[].​priceobject

アイテム価格。

items[].​unit_items[].​price.​amountstring

割引後のアイテム価格。

例: "2.9900"
items[].​unit_items[].​price.​amount_without_discountstring

アイテム価格。

例: "2.9900"
items[].​unit_items[].​price.​currencystring

商品価格通貨。ISO 4217 による3文字コード。

例: "USD"
items[].​unit_items[].​promotionsArray of objects(Catalog_item_promotions)

カート内の特定アイテムに適用されるプロモーション。この配列は、以下のケースで返されます:

  • 特定のアイテムに対して、割引キャンペーンが構成されている場合。

  • 選択されたアイテムの割引設定を持つプロモーションコードが適用された場合。

アイテムレベルのプロモーションが適用されない場合は、空の配列が返されます。

items[].​unit_items[].​promotions[].​bonusArray of objects
items[].​unit_items[].​promotions[].​bonus[].​bundle_typestring

ボーナスバンドルアイテムタイプ。ボーナスアイテムタイプbundleのみで利用可能です。

列挙型"standard""virtual_currency_package"
items[].​unit_items[].​promotions[].​bonus[].​image_urlstring

ボーナスアイテムの画像URLです。ボーナスアイテムのタイプ physical_good では使用できません。ー

items[].​unit_items[].​promotions[].​bonus[].​namestring

ボーナスアイテムの名前です。ボーナスアイテムのタイプphysical_goodでは使用できません。

items[].​unit_items[].​promotions[].​bonus[].​quantityinteger
items[].​unit_items[].​promotions[].​bonus[].​skustring
items[].​unit_items[].​promotions[].​bonus[].​typestring

ボーナスアイテムタイプ。

列挙型"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​unit_items[].​promotions[].​date_endstring or null(date-time)
items[].​unit_items[].​promotions[].​date_startstring or null(date-time)
items[].​unit_items[].​promotions[].​discountobject or null
items[].​unit_items[].​promotions[].​discount.​percentstring or null
items[].​unit_items[].​promotions[].​discount.​valuestring or null
items[].​unit_items[].​promotions[].​limitsobject
items[].​unit_items[].​promotions[].​limits.​per_userobject
items[].​unit_items[].​promotions[].​limits.​per_user.​availableinteger
items[].​unit_items[].​promotions[].​limits.​per_user.​totalinteger
items[].​unit_items[].​promotions[].​namestring
items[].​unit_items[].​release_datestring or null

ISO 8601形式でのゲームキーのリリース日。

例: "2020-08-11T10:00:00+03:00"
items[].​unit_items[].​skustring

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "game_01"
items[].​unit_items[].​typestring

アイテムタイプ:game_key

例: "game_key"
items[].​unit_items[].​virtual_pricesArray of objects

仮想価格。

items[].​unit_items[].​virtual_prices[].​amountinteger

仮想通貨での割引アイテム価格。

例: 100
items[].​unit_items[].​virtual_prices[].​amount_without_discountinteger

アイテム価格。

例: 200
items[].​unit_items[].​virtual_prices[].​descriptionstring

仮想通貨の説明。

例: "Big Rocket - description"
items[].​unit_items[].​virtual_prices[].​image_urlstring

仮想通貨のイメージ。

例: "http://image.png"
items[].​unit_items[].​virtual_prices[].​is_defaultboolean

アイテムの価格をデフォルトにするかどうか。

例: true
items[].​unit_items[].​virtual_prices[].​namestring

仮想通貨名。

例: "SHOTGUN FOR TRUE RAIDERS"
items[].​unit_items[].​virtual_prices[].​skustring

仮想通貨アイテムSKU。

例: "vc_test"
items[].​unit_items[].​virtual_prices[].​typestring

仮想通貨のタイプ。

例: "virtual_currency"
items[].​unit_items[].​vp_rewardsArray of objects(client-item-value-point-reward)

バリューポイントアイテム報酬。

items[].​unit_items[].​vp_rewards[].​amountinteger(value-point-amount)

バリューポイントの量。

items[].​unit_items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

画像URL。

items[].​unit_items[].​vp_rewards[].​is_clanboolean(is_clan)

バリューポイントがクランリワードチェーンで使用されるかどうか。

items[].​unit_items[].​vp_rewards[].​item_idinteger(item_id)

内部の一意のアイテムID。

items[].​unit_items[].​vp_rewards[].​namestring(value-point-name)

バリューポイント名。

items[].​unit_items[].​vp_rewards[].​skustring(value-point-sku)

一意のバリューポイントID。

items[].​unit_typestring

ユニットタイプ:game

例: "game"
レスポンス
application/json
{ "has_more": false, "items": [ {}, {} ] }
操作
操作
操作
操作

カート(クライアント側)

操作

カート(サーバー側)

操作

決済(クライアント側)

操作

決済(サーバー側)

操作
操作

無料アイテム

操作
操作
操作
操作

マーチャント

操作

カタログ

このAPIは販売可能なアイテムや特定のアイテムを取得することができます。

操作
操作
操作
操作
操作